#
# spec file for package devhelp (Version 2.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define vimplugin_dir %{_datadir}/vim/site

Name:           devhelp
Version:        2.28.1
Release:        0.1.3
License:        GPLv2+
Summary:        Developer's Help Program for GNOME
Url:            http://developer.imendio.com/wiki/Devhelp
Group:          Development/Tools/Other
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
# For directory ownership of the plugins:
BuildRequires:  gedit
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libunique-devel
BuildRequires:  libwebkit-devel
BuildRequires:  libwnck-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  vim
Requires:       %{name}-lang = %{version}
Suggests:       gedit-plugin-devhelp
Suggests:       vim-plugin-devhelp
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Devhelp Features - Full indexing of books in XML

- HTML viewer (GtkHTML2)

- Search by function, struct, macro, and more

- Auto completion

- Command line search with nice Emacs integration

%package devel
License:        GPLv2+
Summary:        Developer's Help Program For GNOME
Group:          Development/Tools/Other
Requires:       %{name} = %{version}
Requires:       gtk2-devel
Requires:       libwebkit-devel

%description devel
Devhelp Features - Full indexing of books in XML.

- HTML viewer (GtkHTML2).

- Search by function, struct, macro, and more.

- Auto completion.

- Commandline search, with nice emacs integration.

%package -n gedit-plugin-devhelp
License:        GPLv2+
Summary:        Developer's Help Program for GNOME
Group:          Development/Tools/Other
Requires:       gedit

%description -n gedit-plugin-devhelp
Devhelp Features - Full indexing of books in XML

- HTML viewer (GtkHTML2)

- Search by function, struct, macro, and more

- Auto completion

- Command line search with nice Emacs integration

%package -n vim-plugin-devhelp
License:        GPLv2+
Summary:        Developer's Help Program for GNOME
Group:          Development/Tools/Other
Requires:       vim

%description -n vim-plugin-devhelp
Devhelp Features - Full indexing of books in XML

- HTML viewer (GtkHTML2)

- Search by function, struct, macro, and more

- Auto completion

- Command line search with nice Emacs integration

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
    --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
# glibmm2 needs this
mkdir -p %{buildroot}%{_datadir}/devhelp/books
# install vim plugin
mkdir -p %{buildroot}%vimplugin_dir/plugin
cp -a misc/devhelp.vim %{buildroot}%vimplugin_dir/plugin
# FIXME: there's also an emacs plugin: misc/devhelp.el
%suse_update_desktop_file -G "Developer Help" %name Documentation
%find_lang %{name}
%find_gconf_schemas
find %{buildroot} -type f -name "*.la" -exec %{__rm} -vf {} +
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post -p /sbin/ldconfig

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun -p /sbin/ldconfig

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL
%{_bindir}/devhelp
%{_datadir}/applications/devhelp.desktop
%{_datadir}/devhelp
%{_datadir}/icons/hicolor/*/apps/*.*
%{_libdir}/*.so.*

%files lang -f %{name}.lang

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n gedit-plugin-devhelp
%defattr(-,root,root,0755)
%{_libdir}/gedit-2/plugins/*

%files -n vim-plugin-devhelp
%defattr(-,root,root,0755)
%vimplugin_dir/plugin/devhelp.vim

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.1:
  + bgo#589435 - Track pad horizontal scrolling
  + bgo#596808 - Fix several leaks reported by valgrind
  + bgo#596810 - Clicking close button on a tab always closes the
    current tab
  + bgo#598598 - Linking across GNOME components
  + Updated translations.
* Mon Sep 28 2009 dimstar@opensuse.org
- Update to version 2.28.0.1:
  + badly generated configure file
- Drop the gnome-autogen.sh call and the related gnome-common
  BuildRequires.
* Thu Sep 24 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + bgo#594633 - Remove libwnck from Requires in .pc file
  + bgo#595567 - devhelp launches along with a spurious empty
    browser window
  + Updated translations.
- No need to rename sr@Latn anymore, fixed upstream.
- Adding gnome-common BuildRequires in order to gnome-autogen.sh
  the tarball. Seems the release had an error with a missing
  symbol.
- Spec file cleaned with spec-cleaner.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  - bgo#517003, Translated strings are not being used in gedit's
    plugin
  - bgo#552640, New tabs should not steal focus
  - bgo#563036, Desensitize zoom items when non applicable
  - bgo#566117, Book titles should be forced to be single line
  - bgo#566459, generate Enumeration and Flag Types
  - bgo#568172, Wrong management of fonts
  - bgo#571626, Space should scroll down
  - bgo#578964, Make Ctrl+C copy the symbol name in the symbol
    listing pane
  - bgo#579539, New tabs don't suit a window well
  - bgo#585110, Use accessor functions instead direct access
  - bgo#585670, Blank Screen on DevHelp Assistant
  - bgo#587984, emacs devhelp-word-at-point clobbers global "w"
  - bgo#587986, html2xml.py does not close <sub>
  - bgo#587999, Page sensitive searches have been broken.
  - bgo#588655, Work around deprecated g_mapped_file_free()
  - bgo#588850, Installs empty images dir
  - bgo#590207, link in About dialog is out of date
  - bgo#590209, toolbar actions could use some is_important love
  - bgo#591046, Assistant window resizes automatically
  - bgo#592157, Application name is desktop file and main window is
    not translatable
  - bgo#592712, build fails using automake 1.11
  - bgo#592750, Support silent build rules with automake 1.11
  - bgo#593174, Incredibly small string fix
  + Updated translations.
- Add libunique-devel BuildRequires.
- Remove autoreconf call.
* Thu Aug 13 2009 captain.magnus@opensuse.org
- Update to version 0.23.1:
  + This is a build fix release for latest glib
  + Translation updates
- Remove devhelp-webkit.patch. New update contains this update
- Remove devhelp-includes.patch. Fixed upstream
* Thu Aug  6 2009 vuntz@novell.com
- Update devhelp-webkit.patch to the patch from git.
* Wed Jul 22 2009 sbrabec@suse.cz
- Fixed build with the latest glib2.
- Fixed opening of URIs provided by search (bnc#522359).
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat Jan 31 2009 mboman@suse.de
- Update to version 0.23:
  + Translation updates
* Thu Jan 29 2009 vuntz@novell.com
- Remove BuildRequires.
- Remove checks for old openSUSE versions.
- Remove la files.
- Add vim-plugin-devhelp package.
- Split the gedit plugin in the gedit-plugin-devhelp package.
* Sat Dec 20 2008 mboman@suse.de
- Update to version 0.22:
  + This is the first release from the WebKit branch
  + Translation updates
- Remove devhelp-nspr-includes.patch: we don't use mozilla anymore.
* Tue Sep 23 2008 maw@suse.de
- Update to version 0.20.1:
  + Updated translations.
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.20.0:
  + Bugs fixed: bgo#499050, bgo#537093, and bgo#539624
  + Updated translations
- Drop devhelp-xul19.patch and devhelp-bnc411497-xul19-crash.patch,
  because they have been upstreamed
- Add devhelp-nspr-includes.patch.
* Sat Aug 30 2008 mboman@novell.com
- Updated to version 0.19.1:
  + Add a GType for the DhLink boxed type.
  + Updated translations.
* Fri Jul 25 2008 vuntz@novell.com
- Add devhelp-bnc411497-xul19-crash.patch to fix crashes with xulrunner 1.9
  when copying or searching (bnc#411497, bnc#410592)
* Wed May 21 2008 maw@suse.de
- Add devhelp-xul19.patch (bnc#391839).
* Fri Mar 21 2008 jpr@suse.de
- Remove obsolete -devel requires
- Remove obsolete version check
* Mon Mar  3 2008 maw@suse.de
- Update to version 0.19:
  + Use proper size icon for close buttons in tabs (bgo#510984)
  + Polish the new Zoom UI (bgo #508510 and bgo#508513)
  + Specify an icon for the GEdit plugin (bgo#512000)
  + Updated translations
- Own %%{_datadir}/devhelp/books.
* Thu Feb 28 2008 ro@suse.de
- do not buildrequire gedit, add needed directories to filelist
  instead (caused a buildcycle across all of GNOME)
* Tue Jan 29 2008 maw@suse.de
- Update to version 0.17:
  + Dont run new instance on new display (bgo#354895)
  + New icons from Andreas Nilsson (bgo#463131)
  + Add zoom actions (bgo#144517)
  + Add close buttons to tabs (bgo#479306)
  + Fix build against xyulrunner 1.9 (bgo#499050)
  + Remove obsolete dependencies (libgnomeui and gnome-vfs,
    bgo#484896) and make libwnck optional
  + Use po/LINGUAS (bgo#464108)
  + Updated translations.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.16:
  * Changed keybinding in GEdit plugin from F7 to F2 to avoid a
    conflict with GTK+ 2.12
  * Use theme colors for gecko 1.9 and later
  * Call g_thread_init
  * Add --focus-search command line option
  * Add typeahead searching
  * Update information about where books should be installed
  * Add missing mnemonics
  * Make deprecated keywords grey
  * Only search for books in the XDG data/home directories
  * Add advanced (book/page) search options
  * Improve libdevhelp
  * Add --version option
  * Fix mnemomics
  * Add a very simple gedit plugin
  * Add quit menu item
  * Build fixes and clean ups
  * Lots of Gecko build fixes and improvements
  * Open external links in browser
  * UI tweaks
  * Shiny new icon
  * Read books installed in XDG data dirs
  * Use correct category in desktop file
  * Tab support
  * Support for multiple windows
  * Parse the new gtk-doc format
  * Reuse devhelp windows from the current workspace only
  * Sync the contents tree with the actual selection
  * Smart case searching
  * Use book title + html title as window title
  * Improve build against various mozilla-derivates
  * updated translations
* Thu Aug  9 2007 maw@suse.de
- Add a %%files section for the -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun.
* Mon Aug  6 2007 mauro@suse.de
- Split out a -lang subpackage.
- Added %%fdupes stuff
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Wed Jan  3 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Wed Dec 20 2006 jhargadon@suse.de
- added gconf2 as a PreReq in the specfile (#225739)
* Thu Nov 30 2006 sbrabec@suse.cz
- Fixed xulrunner dependencies for older products.
* Tue Nov  7 2006 sbrabec@suse.cz
- Use exact xulrunner version 181 (#216100).
* Tue Sep  5 2006 aj@suse.de
- Cleanup BuildRequires.
* Fri Jul  7 2006 lrupp@suse.de
- Fixed mozilla/xulrunner/xulrunner180 dependencies
* Thu Apr 13 2006 jpr@suse.de
- Guard against initializing threads twice (#165486)
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 16 2005 sbrabec@suse.cz
- Fixed mozilla/xulrunner dependencies.
* Wed Oct 12 2005 ro@suse.de
- use mozilla-devel-packages in nfb
- try xulrunner if nothing else is found
* Tue Aug 16 2005 sbrabec@suse.cz
- Moved /opt/gnome/share/devhelp to gnome-filesystem.
- Fixed devel dependencies.
* Fri Aug 12 2005 sbrabec@suse.cz
- Fixed requirement to not require symbols provided only by
  mozilla-nss and mozilla-nspr packages (#98002).
- Fixed devel requirements.
* Wed May 11 2005 sbrabec@suse.cz
- Updated to version 0.10.
* Thu Apr 28 2005 sbrabec@suse.cz
- Install missing translation files.
* Fri Feb 18 2005 sbrabec@suse.cz
- Updated to version 0.9.3.
* Wed Oct 27 2004 mmj@suse.de
- Locale rename no to nb
* Wed Oct 13 2004 sbrabec@suse.cz
- Use gnome2-devel-packages in neededforbuild.
* Thu Sep  9 2004 clahey@suse.de
- Run ldconfig.
- Merge .spec files for pre and post 9.1.
* Tue Sep  7 2004 sbrabec@suse.cz
- Generated shared mime info.
* Wed May 12 2004 clahey@suse.de
- Added gnome-keyring-devel builddep.
* Thu Mar 18 2004 adrian@suse.de
- move menu entry into Documentation menu
* Fri Feb 20 2004 sbrabec@suse.cz
- Updated to version 0.8.1.
* Sat Jan 10 2004 adrian@suse.de
- builad as user
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 30 2003 sbrabec@suse.cz
- Updated to version 0.7.
* Fri Jun 20 2003 ro@suse.de
- added directory to filelist
* Tue Jun  3 2003 ro@suse.de
- run full autoreconf for new libtool
* Tue May 27 2003 sbrabec@suse.cz
- Initial SuSE version.
